﻿

var $selectedIdentity = "";
var $selectedPhoneNo = "";
var $userRole = -1;

$(document).ready(function () {
    try {
        $("#sidenav").on("click", "li", function () {
            $('#sidenav ul li').removeClass("active");
            //$('#sidenav ul li').eq(2).removeClass("active");
            //$('#sidenav ul li').eq(3).removeClass("active");
            $(this).addClass('Active');
            
        });
        $("#galaxkey_session_table").on("click", "td", function () {
            
            if ($(this).text().trim() == 'End Session') {
                var sessionId = $(this).parent().find("td").eq(0).html() + '||';
                var userEmail = $(this).parent().find("td").eq(1).html() + '||';
                $('#spnDeleteSession').show();
                $.ajax({
                    cache: false,
                    url: '/DataSession/CancelSession/',
                    data: { id: sessionId, userEmail: userEmail },
                    type: 'POST',
                    success: function (data) {
                        $('#spnDeleteSession').hide();
                        location.reload();
                    },
                    complete: function () {
                        $('#spnDeleteSession').hide();
                        location.reload();
                    }
                });
            }
        });
    }
    catch (e) {
        $('#spnDeleteSession').hide();
    }
    var selected = [];
    var $datatablesResponsiveaudit = $('#galaxkey_table2');
    if ($datatablesResponsiveaudit != undefined) {
        $datatablesResponsiveaudit.DataTable(
            {
                "order": [[1, "desc"]],
                responsive: true,
                dom: "<'row'<'col-sm-6 col-sm-push-6'i><'col-sm-6 col-md-pull-6'f>>" + "<'row'<'col-sm-12'tr>>" + "<'row'<'col-sm-6'l><'col-sm-6'p>>",
                language: {
                    paginate: {
                        previous: '&laquo;',
                        next: '&raquo;'
                    },
                    search: "_INPUT_",
                    searchPlaceholder: "Search…"
            }
        });
    }
    var $datatablesResponsiveSession = $('#galaxkey_session_table');
    if ($datatablesResponsiveSession != undefined) {
        $datatablesResponsiveSession.DataTable({
            responsive: true,
            dom: "<'row'<'col-sm-6 col-sm-push-6'i><'col-sm-6 col-md-pull-6'f>>" + "<'row'<'col-sm-12'tr>>" + "<'row'<'col-sm-6'l><'col-sm-6'p>>",
            language: {
                paginate: {
                    previous: '&laquo;',
                    next: '&raquo;'
                },
                search: "_INPUT_",
                searchPlaceholder: "Search…"
            }
        });
    }

    var $datatablesResponsive1 = $('#galaxkey_table1');
    if ($datatablesResponsive1 != undefined) {
        $datatablesResponsive1.DataTable({
            responsive: true,
            dom: "<'row'<'col-sm-6 col-sm-push-6'i><'col-sm-6 col-md-pull-6'f>>" + "<'row'<'col-sm-12'tr>>" + "<'row'<'col-sm-6'l><'col-sm-6'p>>",
            language: {
                paginate: {
                    previous: '&laquo;',
                    next: '&raquo;'
                },
                search: "_INPUT_",
                searchPlaceholder: "Search…"
            }
        });


        $('#galaxkey_table1 tbody').on('click', 'tr', function () {

            $selectedIdentity = this.id;
            $selectedPhoneNo = this.getAttribute("data-phone");
            // lets get all tr from table.
            if ($selectedPhoneNo != '') {
                var rows = $datatablesResponsive1.find('> tbody > tr');
                for (i = 0; i < rows.length; i++) {
                    rows[i].classList.remove("selected");
                }
                $(this).toggleClass('selected');
                if ($selectedIdentity != "") {
                    $("#btnIdentitySelected").show();
                }
                else {
                    $("#btnIdentitySelected").hide();
                }
            }
            else {

                var options = {};
                options['closeButton'] = true;
                options['positionClass'] = "toast-top-center";
                options['type'] = "error";
                var title = "No Phone";
                toastr[options.type]("Selected identity does not have phone number associated. This is mandatory for two factor authentication.", title, options);

            }

        });
    }

});

// called when user click on "Change" button.
$(".changeuser").click(function (e) {
    $userRole = this.getAttribute("data-id");
    var $datatablesResponsive1 = $('#galaxkey_table1');
    // lets clean the table.
    var rows = $datatablesResponsive1.find('> tbody > tr');
    for (i = 0; i < rows.length; i++) {
        rows[i].classList.remove("selected");
    }
    $("#btnIdentitySelected").hide();
    $("#errorMessage").html("");
    $("#changeUserModal").modal('toggle');
});
// Called when user clicks on "Select" in identity selector modal.
$("#btnIdentitySelected").click(function (e) {
    //$("#display" + $userRole).html($selectedIdentity);

    // make an ajax call to save the change.
    $user1 = $("#display1").attr("data-value");
    $user2 = $("#display2").attr("data-value");
    $userAuth = $("#display3").attr("data-value");
    $user1phone = $("#display1").attr("data-phone");
    $user2phone = $("#display2").attr("data-phone");
    $authphone = $("#display3").attr("data-phone");


    if ($userRole == 1) {
        $user1 = $selectedIdentity;
        $user1phone = $selectedPhoneNo;
    }
    if ($userRole == 2) {
        $user2 = $selectedIdentity;
        $user2phone = $selectedPhoneNo;
    }
    if ($userRole == 3) {
        $userAuth = $selectedIdentity;
        $authphone = $selectedPhoneNo;
    }

    $("#errorMessage").html("Updating users...");
    $.post("/UboAdmin/updateUsers", {
        "strUserOne": $user1, "strUserTwo": $user2, "strUserAuth": $userAuth, "strUserOnePhone": $user1phone, "strUserTwoPhone": $user2phone, "strAuthPhone": $authphone
    }) //updateUsers(string strUserOne, string strUserTwo, string strUserAuth)
        .done(function (data) {
            var obj = jQuery.parseJSON(data);
            if (obj.result == "true") {
                location.reload();
            }
            else {
                $("#errorMessage").html(obj.message);
            }
        })
        .fail(function () {
            alert("error");
        });
});

